Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class NodeNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.openide.nodes.NodeNotFoundException

All Implemented Interfaces:
  Serializable

    public final class NodeNotFoundException

extends IOException

Exception indicating that a node could not be found while traversing a path from the root.

See Also:
  Serialized Form

Method Summary
`Node` | `getClosestNode()` Get the closest node to the target that was able to be found.
`int` | `getClosestNodeDepth()` Getter for the depth of the closest node found.
`String` | `getMissingChildName()` Get the name of the missing child of the closest node.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getClosestNode

    public Node getClosestNode()

  Get the closest node to the target that was able to be found.

  Returns:
    the closest node

### getMissingChildName

    public String getMissingChildName()

  Get the name of the missing child of the closest node.

  Returns:
    the name of the missing child

### getClosestNodeDepth

    public int getClosestNodeDepth()

  Getter for the depth of the closest node found.

  Returns:
    the depth (0 for the start node, 1 for its child, etc.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.